<template lang="pug">
  nuxt-link.navbar-button(:to="to" :active="active")
    .box
      .arrow
      span
        slot
</template>

<script>
export default {
  props: {
    to: {
      type: String,
      required: true
    },
    active: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="scss">
.navbar-button {
  height: 100%;

  padding-left: 0.85em;
  padding-right: 0.15em;

  color: black;

  display: flex;

  text-decoration: none;

  .box {
    position: relative;

    margin: auto;
    padding: 0.25em 1em;

    display: flex;

    .arrow {
      position: absolute;

      transition-duration: 100ms;

      top: 0;
      left: -0.5em;

      height: 1.8em;
      width: 1.2em;

      display: grid;
      align-items: center;

      background-image: url('~assets/img/paint/arrow-right.webp');
      background-size: 100% 100%;
      background-repeat: no-repeat;
      background-position: center;
    }

    span {
      align-self: center;

      font-size: 1.3em;
    }
  }

  &.nuxt-link-exact-active {
    color: white;

    .box {
      background-image: url('~assets/img/paint/horizontal-line.webp');
      background-size: 100% 100%;
      background-repeat: no-repeat;
      background-position: center;
    }
  }
}

.navbar-button:hover {
  .box {
    .arrow {
      transform: scale(1.2);
    }
  }
}
</style>
